JMSLocalProducer (producer 1.0.1-3.2.0 API)
Date: 2014-06-18

org.gcube.messaging.common.producer

## Class JMSLocalProducer

- java.lang.Object
- - org.gcube.messaging.common.producer.JMSLocalProducer

-     public class JMSLocalProducer
      extends Object

  Implementation of a Local Monitor
  Author:
    Andrea Manzi(CERN)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JMSLocalProducer(String scope)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addScope(String scope)` Add the Scope to the monitoredMap
    `static Set<String>` | `getMonitoredScope()` Return the Monitored scope
    `static ArrayList<javax.jms.QueueConnection>` | `getQueueConnection(String scope)` Get the QueueConnection list for the given scope
    `static void` | `reloadConnection(String scope)` Reload the scope connection
    `static void` | `removeScope(String scope)` Remove Scope from BrokerMap
    `void` | `run()`
    `static void` | `stopConnections(String scope)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JMSLocalProducer

          public JMSLocalProducer(String scope)

  - ### Method Detail

    - #### getQueueConnection

          public static ArrayList<javax.jms.QueueConnection> getQueueConnection(String scope)

      Get the QueueConnection list for the given scope
      Returns:
        the queue Connection list for the given scope

    - #### addScope

          public static void addScope(String scope)
                               throws BrokerNotConfiguredInScopeException,
                                      Exception

      Add the Scope to the monitoredMap
      Throws:
        `BrokerNotConfiguredInScopeException`
        `Exception`

    - #### getMonitoredScope

          public static Set<String> getMonitoredScope()

      Return the Monitored scope
      Returns:
        The Set of Scope to monitor

    - #### removeScope

          public static void removeScope(String scope)

      Remove Scope from BrokerMap
      Parameters:
        `scope` - the scope to remove

    - #### reloadConnection

          public static void reloadConnection(String scope)

      Reload the scope connection
      Parameters:
        `scope` - the scope to reload

    - #### run

          public void run()

    - #### stopConnections

          public static void stopConnections(String scope)

Copyright © 2014. All Rights Reserved.